#!/usr/bin/env bash

cache=""
cache_pattern=""
token_type=""

case $token_type in
    "cache-creator")
        atticd-atticadm make-token --sub "$cache-cache-creator" --validity "1y" \
            --pull "$cache_pattern" --push "$cache_pattern" --delete "$cache_pattern" \
            --create-cache "$cache_pattern" --configure-cache "$cache_pattern" \
            --configure-cache-retention "$cache_pattern" --destroy-cache "$cache_pattern"
        ;;
    "admin")
        atticd-atticadm make-token --sub "$cache-admin" --validity "1y" --pull "$cache_pattern" \
            --push "$cache_pattern" --configure-cache "$cache_pattern" \
            --configure-cache-pattern "$cache_pattern"
        ;;
    "writer")
        atticd-atticadm make-token --sub "$cache-writer" --validity "1y" --pull "$cache_pattern" \
            --push "$cache_pattern"
        ;;
    "reader")
        atticd-atticadm make-token --sub "$cache-reader" --validity "1y" --pull "$cache_pattern"
        ;;
    *)
        echo "invalid token type: $token_type"
        echo "available options: cache-creator, admin, writer, reader"
        exit 1
        ;;
esac
